package com.glxp.udidl.admin.controller.udchs;

import com.glxp.udidl.admin.annotation.AuthRuleAnnotation;
import com.glxp.udidl.admin.dto.udchs.BaseParam;
import com.glxp.udidl.admin.entity.chs.YbHcflEntity;
import com.glxp.udidl.admin.entity.chs.YbHcxxEntity;
import com.glxp.udidl.admin.res.BaseResponse;
import com.glxp.udidl.admin.service.udchs.YbHcflService;
import com.glxp.udidl.admin.service.udchs.YbHcxxService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * 国家医保
 */
@Api(tags = "国家医保医用耗材信息接口")
@RestController
@RequestMapping("/udchs/ybHcxx")
public class UdchsYbHcxxController {

    @Autowired
    private YbHcxxService ybHcxxService;

    @ApiOperation(value = "国家医保医用耗材信息", response = YbHcxxEntity.class)
    @AuthRuleAnnotation("udchs/ybHcxx/list")
    @PostMapping("/list")
    public BaseResponse getList(@RequestBody BaseParam param) {
        return ybHcxxService.getList(param);
    }

}
