package com.glxp.udidl.admin.entity.udi;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

@ApiModel(value="com-glxp-udidl-admin-entity-udi-DiProductSpec")
@Data
@TableName(value = "di_product_spec")
public class DiProductSpecEntity implements Serializable {
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value="")
    private Integer id;

    @TableField(value = "`key`")
    @ApiModelProperty(value="")
    private Long key;

    /**
     * 产品KEY外键
     */
    @TableField(value = "productKey")
    @ApiModelProperty(value="产品KEY外键")
    private Long productKey;

    /**
     * 数据库记录key（国家库）
     */
    @TableField(value = "deviceRecordKey")
    @ApiModelProperty(value="数据库记录key（国家库）")
    private String deviceRecordKey;

    /**
     * 最小销售单元产品标识
     */
    @TableField(value = "zxxsdycpbs")
    @ApiModelProperty(value="最小销售单元产品标识")
    private String zxxsdycpbs;

    /**
     * 规格型号
     */
    @TableField(value = "ggxh")
    @ApiModelProperty(value="规格型号")
    private String ggxh;

    /**
     * 使用单元产品标识
     */
    @TableField(value = "sydycpbs")
    @ApiModelProperty(value="使用单元产品标识")
    private String sydycpbs;

    /**
     * 历史版本号，最高为最新
     */
    @TableField(value = "versionNumber")
    @ApiModelProperty(value="历史版本号，最高为最新")
    private Integer versionNumber;

    /**
     * 医保编码
     */
    @TableField(value = "ybbm")
    @ApiModelProperty(value="医保编码")
    private String ybbm;

    /**
     * 是否包含批号
     */
    @TableField(value = "scbssfbhph")
    @ApiModelProperty(value="是否包含批号")
    private String scbssfbhph;

    /**
     * 是否包含序列号
     */
    @TableField(value = "scbssfbhxlh")
    @ApiModelProperty(value="是否包含序列号")
    private String scbssfbhxlh;

    /**
     * 是否包含生产日期
     */
    @TableField(value = "scbssfbhscrq")
    @ApiModelProperty(value="是否包含生产日期")
    private String scbssfbhscrq;

    /**
     * 是否包含失效日期
     */
    @TableField(value = "scbssfbhsxrq")
    @ApiModelProperty(value="是否包含失效日期")
    private String scbssfbhsxrq;

    /**
     * 产品描述
     */
    @TableField(value = "cpms")
    @ApiModelProperty(value="产品描述")
    private String cpms;

    /**
     * 是否为包类产品/组套类产品； 1 是 0 否
     */
    @TableField(value = "sfwblztlcp")
    @ApiModelProperty(value="是否为包类产品/组套类产品； 1 是 0 否")
    private String sfwblztlcp;

    /**
     * 共振（MR） 安全相关信息； 0 安全 ， 1 条件安全， 28
不安全 ， 3 说明书或标签上面不包括 MR 安全信息
     */
    @TableField(value = "cgzmraqxgxx")
    @ApiModelProperty(value="共振（MR） 安全相关信息； 0 安全 ， 1 条件安全， 28,不安全 ， 3 说明书或标签上面不包括 MR 安全信息")
    private String cgzmraqxgxx;

    /**
     * 标记为一次性使用:0 否， 1 是
     */
    @TableField(value = "sfbjwycxsy")
    @ApiModelProperty(value="标记为一次性使用:0 否， 1 是")
    private String sfbjwycxsy;

    /**
     * 其他信息的网址链接
     */
    @TableField(value = "qtxxdwzlj")
    @ApiModelProperty(value="其他信息的网址链接")
    private String qtxxdwzlj;

    /**
     * 特殊存储或操作条件
     */
    @TableField(value = "tscchcztj")
    @ApiModelProperty(value="特殊存储或操作条件")
    private String tscchcztj;

    /**
     * 特殊使用尺寸说明
     */
    @TableField(value = "tsccsm")
    @ApiModelProperty(value="特殊使用尺寸说明")
    private String tsccsm;

    /**
     * 医疗器械在流通领域停止销售的时间
     */
    @TableField(value = "tsrq")
    @ApiModelProperty(value="医疗器械在流通领域停止销售的时间")
    private String tsrq;

    /**
     * 标识载体，1 一维码,2 二维码，3 RFID，4 其他
     */
    @TableField(value = "bszt")
    @ApiModelProperty(value="标识载体，1 一维码,2 二维码，3 RFID，4 其他")
    private String bszt;

    /**
     * 标识发布时间；格式:2019-09-12
     */
    @TableField(value = "cpbsfbrq")
    @ApiModelProperty(value="标识发布时间；格式:2019-09-12")
    private String cpbsfbrq;

    /**
     * 本体标识医疗器械本体标识中的产品标识
     */
    @TableField(value = "btcpbs")
    @ApiModelProperty(value="本体标识医疗器械本体标识中的产品标识")
    private String btcpbs;

    /**
     * 是否包含本体标识： 1 是 0 否
     */
    @TableField(value = "sfyzcbayz")
    @ApiModelProperty(value="是否包含本体标识： 1 是 0 否")
    private String sfyzcbayz;

    /**
     * 产品标识编码体系名称，如 GS1，MA 码（IDcode）
     */
    @TableField(value = "cpbsbmtxmc")
    @ApiModelProperty(value="产品标识编码体系名称，如 GS1，MA 码（IDcode）")
    private String cpbsbmtxmc;

    /**
     * 最大重复使用次数
     */
    @TableField(value = "zdcfsycs")
    @ApiModelProperty(value="最大重复使用次数")
    private String zdcfsycs;

    /**
     * 是否为已灭菌产品:1 是 0 否
     */
    @TableField(value = "sfwwjbz")
    @ApiModelProperty(value="是否为已灭菌产品:1 是 0 否")
    private String sfwwjbz;

    /**
     * 使用前是否需要进行灭菌:1 是 0 否
     */
    @TableField(value = "syqsfxyjxmj")
    @ApiModelProperty(value="使用前是否需要进行灭菌:1 是 0 否")
    private String syqsfxyjxmj;

    /**
     * 灭菌方式
     */
    @TableField(value = "mjfs")
    @ApiModelProperty(value="灭菌方式")
    private String mjfs;

    /**
     * 耗材或者设备（产品类别）
     */
    @TableField(value = "hchzsb")
    @ApiModelProperty(value="耗材或者设备（产品类别）")
    private String hchzsb;

    /**
     * 备注
     */
    @TableField(value = "remark")
    @ApiModelProperty(value="备注")
    private String remark;

    /**
     * 创建时间
     */
    @TableField(value = "createTime")
    @ApiModelProperty(value="创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(value = "udpateTime")
    @ApiModelProperty(value="更新时间")
    private Date udpateTime;

    private static final long serialVersionUID = 1L;
}
