package com.glxp.udidl.admin.res.chs;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
@Data
public class YbDrugResponse {

    @JsonProperty("records")
    private Integer records;
    @JsonProperty("total")
    private Integer total;
    @JsonProperty("rows")
    private List<RowsDTO> rows;
    @JsonProperty("page")
    private Integer page;
    @JsonProperty("count")
    private Integer count;
    @JsonProperty("firstResult")
    private Integer firstResult;
    @JsonProperty("maxResults")
    private Integer maxResults;
    @JsonProperty("success")
    private Boolean success;
    @JsonProperty("result")
    private String result;
    @JsonProperty("conditions")
    private ConditionsDTO conditions;
    @JsonProperty("msg")
    private String msg;
    @JsonProperty("form")
    private String form;
    @JsonProperty("code")
    private Integer code;
    @JsonProperty("operCount")
    private Integer operCount;
    @JsonProperty("sord")
    private String sord;
    @JsonProperty("sidx")
    private String sidx;
    @JsonProperty("orderby")
    private String orderby;

    @NoArgsConstructor
    @Data
    public static class ConditionsDTO {
        @JsonProperty("orderColumn")
        private Integer orderColumn;
    }

    @NoArgsConstructor
    @Data
    public static class RowsDTO {
        @JsonProperty("businessLicense")
        private String businessLicense;
        @JsonProperty("companyNameSc")
        private String companyNameSc;
        @JsonProperty("approvalCode")
        private String approvalCode;
        @JsonProperty("goodsStandardCode")
        private String goodsStandardCode;
        @JsonProperty("baseId")
        private String baseId;
        @JsonProperty("productName")
        private String productName;
        @JsonProperty("productMedicinemodel")
        private String productMedicinemodel;
        @JsonProperty("registeredProductName")
        private String registeredProductName;
        @JsonProperty("listingHolder")
        private String listingHolder;
        @JsonProperty("registeredMedicinemodel")
        private String registeredMedicinemodel;
        @JsonProperty("minUnit")
        private String minUnit;
        @JsonProperty("factor")
        private Integer factor;
        @JsonProperty("goodsName")
        private String goodsName;
        @JsonProperty("dataSouce")
        private String dataSouce;
        @JsonProperty("realityOutlook")
        private String realityOutlook;
        @JsonProperty("productRemark")
        private String productRemark;
        @JsonProperty("subpackager")
        private String subpackager;
        @JsonProperty("version")
        private String version;
        @JsonProperty("productInsuranceType")
        private String productInsuranceType;
        @JsonProperty("realityMedicinemodel")
        private String realityMedicinemodel;
        @JsonProperty("marketState")
        private String marketState;
        @JsonProperty("materialName")
        private String materialName;
        @JsonProperty("unit")
        private String unit;
        @JsonProperty("registeredOutlook")
        private String registeredOutlook;
        @JsonProperty("productCode")
        private String productCode;
        @JsonProperty("goodsCode")
        private String goodsCode;

    }
}
