package com.glxp.udidl.admin.service.chsapi;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.CollUtil;
import com.glxp.udidl.admin.res.chs.YbHcflResponse;
import com.glxp.udidl.admin.res.chs.YbTwzdResponse;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.glxp.udidl.admin.dao.chs.YbHcflMapper;
import com.glxp.udidl.admin.entity.chs.YbHcflEntity;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

@Service
public class ChsYbHcflService extends ServiceImpl<YbHcflMapper, YbHcflEntity> {

    @Resource
    ChsYbChsHttpClient ybChsHttpClient;
    @Resource
    YbHcflMapper ybHcflMapper;

    /**
     * 更新数据库的YbHcf列表数据
     * 以一定大小页面 分批对比数据库 医用耗材分类代码 是否存在 不存在进行新增
     */
    public void updateYbHcflList(){
        Integer pageNum = 1;
        Integer pageSize = 200;

        //1、获取数据
        YbHcflResponse ybHcflResponse = ybChsHttpClient.getYbHcflList(pageNum, pageSize);
        Integer total = ybHcflResponse.getTotal();
        //处理第一批数据
        processUpdates(ybHcflResponse);
        //处理后续数据
        if (total>pageNum){
            for (int i = 2; i <= total ; i++) {
                System.out.println("更新数据库的YbHcf列表数据"+ i);
                processUpdates(ybChsHttpClient.getYbHcflList(i, pageSize));
            }
        }
    }

    /**
     * 处理比对更新
     * @param ybHcflResponse
     */
    private void processUpdates(YbHcflResponse ybHcflResponse) {
        List<YbHcflResponse.RowsDTO> list = ybHcflResponse.getRows();
        List<YbHcflEntity> ybHcflEntities = BeanUtil.copyToList(list, YbHcflEntity.class);
        ybHcflMapper.batchSaveOrUpdateBySpecificationCode(ybHcflEntities);
    }




    /**
     * 更新数据库的YbHcf列表数据
     * 以一定大小页面 分批对比数据库 医用耗材分类代码 是否存在 不存在进行新增
     */
    public void updateYbTwzdList(){
        Integer pageNum = 1;
        Integer pageSize = 200;

        //1、获取数据
        YbTwzdResponse ybTwzdResponse = ybChsHttpClient.getYbTwzdList(pageNum, pageSize);
        Integer total = ybTwzdResponse.getTotal();
        //处理第一批数据
        processUpdatesYbTwzd(ybTwzdResponse);
        //处理后续数据
        if (total>pageNum){
            for (int i = 2; i <= total ; i++) {
                System.out.println("更新数据库的YbTwzd列表数据"+ i);
                processUpdatesYbTwzd(ybChsHttpClient.getYbTwzdList(i, pageSize));
            }
        }
    }

    /**
     * 处理比对更新
     * @param ybTwzdResponse
     */
    private void processUpdatesYbTwzd(YbTwzdResponse ybTwzdResponse) {
        List<YbTwzdResponse.RowsDTO> list = ybTwzdResponse.getRows();
        if (CollUtil.isNotEmpty(list)){
            List<YbHcflEntity> ybHcflEntities = new ArrayList<>();
            for (int i = 0; i < list.size(); i++) {
                YbTwzdResponse.RowsDTO rowsDTO = list.get(i);
                YbHcflEntity ybHcflEntity = new YbHcflEntity();
                ybHcflEntity.setSpecificationCode(rowsDTO.getCode());
                ybHcflEntity.setSpecificationId(null);
                ybHcflEntity.setCatalogcode(rowsDTO.getSpecificationCode());
                ybHcflEntity.setCatalogname1(rowsDTO.getCatalogName1());
                ybHcflEntity.setCatalogname2(rowsDTO.getCatalogName2());
                ybHcflEntity.setCatalogname3(rowsDTO.getCatalogName3());
                ybHcflEntity.setCommonnamecode(null);
                ybHcflEntity.setCommonname(null);
                ybHcflEntity.setMatrialcode(null);
                ybHcflEntity.setMatrial(rowsDTO.getTestingFullDesc());
                ybHcflEntity.setCharacteristiccode(null);
                ybHcflEntity.setCharacteristic(rowsDTO.getProductName());
                ybHcflEntity.setSeparateCharges(null);
                ybHcflEntity.setPaymentType(null);
                ybHcflEntity.setPaymentStandard(null);
                ybHcflEntity.setIsusing("1");
                ybHcflEntity.setSpecificationType(null);
                ybHcflEntity.setProductStatusS(null);
                ybHcflEntity.setProductCount(null);
                ybHcflEntity.setCompCount(null);
                ybHcflEntity.setRegCount(null);
                ybHcflEntity.setGoodsCount(null);

                ybHcflEntities.add(ybHcflEntity);
            }

            if (CollUtil.isNotEmpty(ybHcflEntities)){
                ybHcflMapper.batchSaveOrUpdateBySpecificationCode(ybHcflEntities);
            }
        }

    }


}
