#   字段新增   （表名，字段名，字段类型，修改方式（1：新增，2：修改，3：删除）

CALL Pro_Temp_ColumnWork('ty_supplier', 'year', 'varchar(60)', 1);


INSERT IGNORE INTO scheduled(`id`, `cronName`, `cron`, `customerId`)
VALUES (8, 'ybChsHcflTask', '0 0 1 * * *', NULL);
INSERT IGNORE INTO scheduled(`id`, `cronName`, `cron`, `customerId`)
VALUES (9, 'ybChsHcxxGgTask', '0 0 1 * * *', NULL);
INSERT IGNORE INTO scheduled(`id`, `cronName`, `cron`, `customerId`)
VALUES (10, 'ybChsHcxxTask', '0 0 1 * * *', NULL);



CREATE TABLE IF NOT EXISTS `yb_hcfl`
(
    `id`                 bigint(0)                                                     NOT NULL AUTO_INCREMENT,
    `specificationCode`  varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '医用耗材分类代码',
    `specificationId`    int(0)                                                        NULL DEFAULT NULL,
    `catalogcode`        varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '三级分类代码',
    `catalogname2`       varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '二级分类名称(用途、品目）',
    `catalogname3`       varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '三级分类名称(部位、功能、品种）',
    `commonnamecode`     varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '医保通用代码',
    `commonname`         varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '医保通用名',
    `matrialcode`        varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '材质代码 ',
    `matrial`            varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '耗材材质',
    `characteristiccode` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '规格代码',
    `characteristic`     varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '规格(特征、参数）',
    `separateCharges`    varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '分开收费',
    `paymentType`        varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '支付类型',
    `paymentStandard`    varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '支付标准',
    `isusing`            varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '是否在用',
    `specificationType`  varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '规格状态',
    `productStatusS`     varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '产品状态',
    `productCount`       varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '产品数量',
    `compCount`          varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `regCount`           varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `goodsCount`         varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE INDEX `specificationCode` (`specificationCode`) USING BTREE
) ENGINE = InnoDB
  AUTO_INCREMENT = 26329
  CHARACTER SET = utf8mb4
  COLLATE = utf8mb4_0900_ai_ci COMMENT = '医保耗材分类'
  ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for yb_hcxx
-- ----------------------------
CREATE TABLE IF NOT EXISTS `yb_hcxx`
(
    `id`                int(0)                                                        NOT NULL AUTO_INCREMENT,
    `specificationCode` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '医用耗材代码',
    `hcflCodeFk`        varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '耗材分类代码(外键）',
    `catalogname1`      varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '一级分类（学科，品类）',
    `catalogname2`      varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '二级分类（用途，品目）',
    `catalogname3`      varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '三级分类（部位，功能，品种）',
    `characteristic`    varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '规格（特征，参数）',
    `codeCount`         varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `codeCounts`        varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `commonname`        varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '医保通用名',
    `compCounts`        varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `companyName`       varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '耗材企业',
    `matrial`           varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '材质',
    `model`             varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `proCounts`         varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `prodCount`         varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `productName`       varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `productionCode`    varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `regCount`          varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `regCounts`         varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `regcardName`       varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `regcardnm`         varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `releaseVersion`    varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '版本日期',
    `specCount`         varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `specCounts`        varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `specification`     varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `totals`            varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE INDEX `specificationCode` (`specificationCode`) USING BTREE
) ENGINE = InnoDB
  AUTO_INCREMENT = 113462
  CHARACTER SET = utf8mb4
  COLLATE = utf8mb4_0900_ai_ci COMMENT = '医保耗材信息'
  ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for yb_hcxx_gg
-- ----------------------------
CREATE TABLE IF NOT EXISTS `yb_hcxx_gg`
(
    `id`                 int(0)                                                        NOT NULL AUTO_INCREMENT,
    `addTime`            varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建时间',
    `addUserId`          varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建用户ID',
    `addUserName`        varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '创建用户名称',
    `auditRemark`        varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `auditUserId`        varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `auditUserName`      varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `catalogCode`        varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '耗材分类编码（C010101）',
    `catalogname1`       varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `catalogname2`       varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `catalogname3`       varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `characteristic`     varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `codeOld`            varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `codeShow`           varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '医保耗材分类编码（C01010100101001039410000001）',
    `commonname`         varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `companyName`        varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '企业名称',
    `dataType`           varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `ggxhCode`           varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '规格型号编码',
    `goodsid`            varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '产品ID',
    `isUsing`            varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `lastUpdateTime`     varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '上一次更新时间',
    `lastUpdateUserId`   varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '上一次更新用户ID',
    `lastUpdateUserName` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '上一个更新人（胡海燕(shenhe_haiyan)）',
    `mapingCode`         varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `matrial`            varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `model`              text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci         NULL COMMENT '规格',
    `oldregcardnm`       varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '旧注册证',
    `productName`        varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '产品名称',
    `productid`          varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '产品id',
    `productionCode`     varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '产品编码',
    `regcardName`        varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '注册备案产品名称',
    `regcardid`          varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '注册备案产品ID',
    `regcardnm`          varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '注册备案号',
    `registrant`         varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '注册备案人',
    `relationId`         varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '注册备案人ID',
    `relationStatus`     varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `releaseVersion`     varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
    `specification`      text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci         NULL COMMENT '型号',
    `specificationCode`  varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '型号规格编码（C0101010010100103941）',
    `udiCode`            varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT 'udi-di',
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE INDEX `codeShow` (`codeShow`) USING BTREE
) ENGINE = InnoDB
  AUTO_INCREMENT = 4220005
  CHARACTER SET = utf8mb4
  COLLATE = utf8mb4_0900_ai_ci COMMENT = '医保耗材信息规格'
  ROW_FORMAT = Dynamic;

SET FOREIGN_KEY_CHECKS = 1;

CALL Pro_Temp_ColumnWork('device', 'correctionNumber', 'varchar(20) NULL DEFAULT NULL COMMENT ''纠错次数''', 1);
CALL Pro_Temp_ColumnWork('device', 'correctionTime', 'varchar(60) NULL DEFAULT NULL COMMENT ''纠错时间''', 1);
CALL Pro_Temp_ColumnWork('device', 'correctionRemark', 'varchar(255) NULL DEFAULT NULL COMMENT ''纠错说明''', 1);



CREATE TABLE IF NOT EXISTS `yb_drug` (
                           `businessLicense` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '统一社会信用代码',
                           `companyNameSc` varchar(255) DEFAULT NULL COMMENT '公司名称',
                           `approvalCode` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '注批准文号',
                           `goodsStandardCode` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '药品本位码',
                           `baseId` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT 'baseId',
                           `productName` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '产品名',
                           `productMedicinemodel` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '产品分类码',
                           `registeredProductName` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '注册名称',
                           `listingHolder` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '药品企业',
                           `registeredMedicinemodel` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '注册剂型',
                           `minUnit` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '最小制剂单位',
                           `factor` int DEFAULT NULL COMMENT '最小包装数量',
                           `goodsName` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
                           `dataSouce` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
                           `realityOutlook` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '规格',
                           `productRemark` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci,
                           `subpackager` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
                           `version` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
                           `productInsuranceType` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
                           `realityMedicinemodel` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '剂型',
                           `marketState` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
                           `materialName` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '包装材质',
                           `unit` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '最小包装单位',
                           `registeredOutlook` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '注册规格',
                           `productCode` varchar(255) DEFAULT NULL,
                           `goodsCode` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '药品代码',
                           PRIMARY KEY (`goodsCode`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
CALL Pro_Temp_ColumnWork('productinfo', 'zxxsdycpbs', 'varchar(120) NULL DEFAULT NULL COMMENT ''最小销售单元产品标识''', 1);
CALL Pro_Temp_ColumnWork('productinfo', 'tscchcztj', 'varchar(255) NULL DEFAULT NULL COMMENT ''特殊存储或操作条件''', 1);
CALL Pro_Temp_ColumnWork('productinfo', 'tsccsm', 'varchar(255) NULL DEFAULT NULL COMMENT ''特殊使用尺寸说明''', 1);
CALL Pro_Temp_ColumnWork('productinfo', 'tsrq', 'varchar(60) NULL DEFAULT NULL COMMENT ''医疗器械在流通领域停止销售的时间''', 1);
CALL Pro_Temp_ColumnWork('productinfo', 'bszt', 'varchar(60) NULL DEFAULT NULL COMMENT ''标识载体，1一维码,2二维码，3RFID，4其他''',
                         1);
CALL Pro_Temp_ColumnWork('productinfo', 'cpbsfbrq', 'varchar(20) NULL DEFAULT NULL COMMENT ''标识发布时间；格式:2019-09-1''', 1);
CALL Pro_Temp_ColumnWork('productinfo', 'btcpbs', 'varchar(120) NULL DEFAULT NULL COMMENT ''本体标识医疗器械本体标识中的产品标识''', 1);
CALL Pro_Temp_ColumnWork('productinfo', 'sfyzcbayz', 'varchar(10) NULL DEFAULT NULL COMMENT ''是否与注册/备案标识一致：1是0否''', 1);


CREATE TABLE IF NOT EXISTS `io_collect_code` (
                                   `id` int NOT NULL AUTO_INCREMENT,
                                   `code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '追溯码（UDI.药品）',
                                   `fromType` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '单据来源',
                                   `busType` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '单据类型',
                                   `billNo` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '单据号',
                                   `fromCorp` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '往来单位',
                                   `operTime` datetime DEFAULT NULL COMMENT '操作时间',
                                   `operUser` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '操作人',
                                   `collectCode` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '采集点',
                                   `collectUser` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '采集点负责人',
                                   `workPlaceCode` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '工位',
                                   `workPlaceUser` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '工位负责人',
                                   `fifoSplit` tinyint DEFAULT NULL COMMENT '赋码方式 1:自动拆零赋码；2:自动整取赋码;3.手动赋码',
                                   `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '备注',
                                   `inoutType` tinyint DEFAULT NULL,
                                   `scanCount` int DEFAULT NULL COMMENT '扫码数量',
                                   `relId` bigint DEFAULT NULL COMMENT '耗材字典ID外键',
                                   `webTitle` varchar(60) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '来源',
                                   PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;



CREATE TABLE IF NOT EXISTS  `rel_code_batch` (
                                  `id` int NOT NULL AUTO_INCREMENT,
                                  `productCode` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '产品编码',
                                  `subTypeNo` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '类型编码',
                                  `cascadeRatio` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '包装比例',
                                  `packageSpec` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '包装规格',
                                  `comment` varchar(60) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '备注',
                                  `batchNo` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '批次号',
                                  `madeDate` datetime DEFAULT NULL COMMENT '生产日期',
                                  `validateDate` datetime DEFAULT NULL COMMENT '失效日期',
                                  `workShop` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '生产车间',
                                  `lineName` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '生产线',
                                  `lineManager` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '负责人',
                                  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
                                  `createUser` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '创建人',
                                  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
                                  `updateUser` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '更新人',
                                  `parentCode` varchar(60) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '父级码',
                                  `uploadFlagUp` tinyint(1) DEFAULT '0' COMMENT '0 未上传 1已上传 2上传失败',
                                  `uploadFlagDown` tinyint(1) DEFAULT '0' COMMENT '0 未上传 1已上传 2上传失败',
                                  `erpId` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '供应商ID',
                                  `curCode` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '当前码',
                                  `oneLevelCount` int DEFAULT NULL COMMENT '一级数量',
                                  `twoLevelCount` int DEFAULT NULL COMMENT '二级数量',
                                  `threeLevelCount` int DEFAULT NULL COMMENT '三级数量',
                                  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=131 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;


CREATE TABLE IF NOT EXISTS  `rel_code_detail` (
                                   `id` int NOT NULL AUTO_INCREMENT,
                                   `curCode` varchar(60) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '当前条码',
                                   `packLayer` tinyint DEFAULT NULL COMMENT '包装级别',
                                   `parentCode` varchar(60) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '父级码',
                                   `flag` tinyint DEFAULT NULL COMMENT '状态',
                                   `batchIdFk` int DEFAULT NULL COMMENT '产品批次ID外键',
                                   PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=708 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CREATE TABLE IF NOT EXISTS `code_rel` (
                            `id` int NOT NULL AUTO_INCREMENT,
                            `diNameCode` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '器械最小销售产品标识',
                            `drugCode` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '阿里药品标识码',
                            `ybbm` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '医保编码',
                            `ycCode` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '阳光采购平台编码',
                            `sptm` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '商品条码',
                            `ypbwm` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '药品本位码',
                            `tyshxyh` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '统一社会信用号',
                            `gjbm` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '国家编码9码',
                            `status` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL,
                            `updateTime` datetime DEFAULT NULL,
                            `createTime` datetime DEFAULT NULL,
                            `fromType` tinyint DEFAULT NULL,
                            PRIMARY KEY (`id`) USING BTREE,
                            UNIQUE KEY `unique_idx_diNameCode_ybbm` (`diNameCode`,`ybbm`)
) ENGINE=InnoDB AUTO_INCREMENT=110586 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;


CREATE TABLE IF NOT EXISTS `third_ali_drug` (
                                  `id` int NOT NULL AUTO_INCREMENT,
                                  `type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '药品类型',
                                  `manufacturer` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '生产企业',
                                  `cpmctymc` varchar(255) DEFAULT NULL COMMENT '产品名称通用名称',
                                  `form` varchar(255) DEFAULT NULL COMMENT '剂型',
                                  `formSpec` varchar(255) DEFAULT NULL COMMENT '剂型规格',
                                  `bzgg` varchar(255) DEFAULT NULL COMMENT '包装规格',
                                  `spmc` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '商品名称',
                                  `nameCode` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '层级标识',
                                  `packRatio` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '包装比例',
                                  `packLevel` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '包装级别',
                                  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
                                  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
                                  `erpId` varchar(255) DEFAULT NULL,
                                  `approvalNum` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '批准文号',
                                  PRIMARY KEY (`id`),
                                  UNIQUE KEY `nameCode` (`nameCode`),
                                  KEY `approvalNum` (`approvalNum`) USING BTREE,
                                  KEY `cpmctymc` (`cpmctymc`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

CALL Pro_Temp_ColumnWork('rel_code_batch', 'erpId',
                         ' varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT ''供应商ID''',
                         1);



CALL Pro_Temp_ColumnWork('rel_code_batch', 'curCode',
                         ' varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT ''当前码''',
                         1);

CALL Pro_Temp_ColumnWork('rel_code_batch', 'oneLevelCount',
                         'int NULL DEFAULT null COMMENT ''一级数量''',
                         1);

CALL Pro_Temp_ColumnWork('rel_code_batch', 'twoLevelCount',
                         'int NULL DEFAULT null COMMENT ''二级数量''',
                         1);

CALL Pro_Temp_ColumnWork('rel_code_batch', 'threeLevelCount',
                         'int NULL DEFAULT null COMMENT ''三级数量''',
                         1);


CALL Pro_Temp_ColumnWork('third_ali_drug', 'prepnUnit',
                         '  varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT ''制剂单位描述''',
                         1);
CALL Pro_Temp_ColumnWork('third_ali_drug', 'prepnUnitName',
                         '  varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT ''制剂单位描述''',
                         1);
CALL Pro_Temp_ColumnWork('third_ali_drug', 'physicDetailType',
                         '  varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT ''药品详情类型''',
                         1);
CALL Pro_Temp_ColumnWork('third_ali_drug', 'physicDetailTypeDesc ',
                         '  varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT ''药品类型详情描述''',
                         1);
CALL Pro_Temp_ColumnWork('third_ali_drug', 'physicTypeDesc',
                         '  varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT ''药品类型描述''',
                         1);
CALL Pro_Temp_ColumnWork('third_ali_drug', 'packUnitName',
                         '  varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT ''包装单位''',
                         1);

INSERT IGNORE INTO `scheduled` (`id`, `cronName`, `cron`, `customerId`) VALUES (11, 'thirdAliDrugTask', '0 0 0 * * 6', NULL);

CREATE TABLE IF NOT EXISTS `auth_ali_user`
(
    `id`        bigint NOT NULL,
    `erpId`     varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '第三方ID',
    `appKey`    varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '阿里KEY',
    `appSecret` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '阿里密钥',
    `refEntId`  varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '厂家标识',
    `type`      varchar(255)                                                  DEFAULT NULL COMMENT '1 为生成企业 2为零售药店',
    `drugResCodeCount` int DEFAULT 0 COMMENT '药品查询接口次数',
    `drugResCodeCountMax` int DEFAULT 0 COMMENT '药品查询接口允许最大次数',
    PRIMARY KEY (`id`)
    ) ENGINE = InnoDB
    DEFAULT CHARSET = utf8mb4
    COLLATE = utf8mb4_0900_ai_ci;

INSERT IGNORE INTO `auth_ali_user` ( `id`, `erpId`, `appKey`, `appSecret`, `refEntId`, `type` )
VALUES
    ( 1, NULL, '31721223', '5231c601505706a9d49823c3dfe2cb01', 'ef99b78bd9c54c1284f813149c858fb0', NULL );

CALL Pro_Temp_ColumnWork('code_rel', 'packUnit',
                         '  varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT ''层级单位''',
                         1);
CALL Pro_Temp_ColumnWork('code_rel', 'bhxjsl',
                         '   int DEFAULT NULL COMMENT ''包含下级数量''',
                         1);
CALL Pro_Temp_ColumnWork('code_rel', 'xjdw',
                         '  varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT ''下级单位''',
                         1);
CALL Pro_Temp_ColumnWork('code_rel', 'ybBzgg',
                         '  varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT ''医保包装规格''',
                         1);



CREATE TABLE IF NOT EXISTS `third_ali_drug_task` (
                                                `id` int NOT NULL AUTO_INCREMENT,
                                                `type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '药品类型',
    `manufacturer` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '生产企业',
    `cpmctymc` varchar(255) DEFAULT NULL COMMENT '产品名称通用名称',
    `form` varchar(255) DEFAULT NULL COMMENT '剂型',
    `formSpec` varchar(255) DEFAULT NULL COMMENT '剂型规格',
    `bzgg` varchar(255) DEFAULT NULL COMMENT '包装规格',
    `spmc` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '商品名称',
    `nameCode` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '层级标识',
    `packRatio` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '包装比例',
    `packLevel` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '包装级别',
    `createTime` datetime DEFAULT NULL COMMENT '创建时间',
    `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
    `erpId` varchar(255) DEFAULT NULL,
    `approvalNum` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '批准文号',
    PRIMARY KEY (`id`),
    KEY `cpmctymc` (`cpmctymc`)
    ) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;